<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet"
	th:href="@{/bootstrap-5.1.3-dist/css/bootstrap.min.css}">
<script th:src="@{/jquery-3.6.0-dist/jquery-3.6.0.min.js}"></script>
<script th:src="@{/bootstrap-5.1.3-dist/js/bootstrap.min.js}"></script>


<title>Index</title>
</head>
<body>
	<div class="container">
		<div class="row">
			<div class="col">
				<a th:href="@{/produto/novo}" class="btn btn-primary">Novo Produto</a> 
				<a th:href="@{/categoria/novo}" class="btn btn-primary">Nova Categoria</a>
				<h1>Lista de Produtos</h1>
				<table class="table table-striped">
					<thead>
						<tr>
							<th>Descrição</th>
							<th>Valor</th>
							<th>Categoria</th>
						</tr>
					</thead>
					<tbody>
						<tr th:if="${itens.empty}">
							<td colspan="3">Não existem produtos.</td>
						</tr>
						<tr th:each="produtoDto : ${itens}">
							<td><span th:text="${produtoDto.descricao}"></span></td>
							<td><span th:text="${produtoDto.valor}"></span></td>
							<td><span th:text="${produtoDto.categoriaResponseDTO.descricao}"></span></td>

							<td><a class="btn btn-outline-danger btn-sm"
								th:href="@{/produto/apagar/{id}(id=${produtoDto.id})}"
								th:data-confirm-delete="|Você gostaria de apagar ${produtoDto.descricao}?|"
								th:onclick="if (!confirm(this.getAttribute('data-confirm-delete')))
										return false">Apagar</a>
							</td>
							<td><a class="btn btn-outline-primary btn-sm"
								th:href="@{/produto/editar/{id}(id=${produtoDto.id})}">Editar</a>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>

</body>
</html>